<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" content="width=device-width, initial-scale=1.0">
    <title>selectBox-car</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container">
        <h2>Responsive Form</h2>
        <p>sample forms 02: multi colums</p>

        <form id="inputform01" class="jumbotron container">
            <div class="row form-group">
                <div class="col-sm-3">
                    <label for="fname">First Name</label>
                </div>
                <div class="col-sm-9">
                    <input type="text" id="fname" name="firstname" placeholder="Your name.." class="form-control">
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-3">
                    <label for="lname">Last Name</label>
                </div>
                <div class="col-sm-9">
                    <input type="text" id="lname" name="lastname" placeholder="Your last name.." class="form-control">
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-3">
                    <label for="country">Car</label>
                </div>
                <div class="col-sm-3">
                    <select id="car-select" name="car" class="form-control">
                    </select>
                </div>
                <div class="col-sm-3">
                    <label for="region">CarType</label>
                </div>
                <div class="col-sm-3">
                    <select id="cartype-select" disabled name="cartype" class="form-control">
                    </select>
                </div>
            </div>
            <div class="row pull-right">
                <div class="col-sm-12">
                    <input type="button" value="Send" class="btn btn-info" id="send-button">
                </div>
            </div>
        </form>

        <script>

            //call api get data car
            $.ajax({
                url: "http://localhost:8080/devcamp-cars",
                type: "GET",
                success: function(res) {
                    console.log(res);
                    loadDatoSelectCar(res)
                },
                error: function(err) {
                    console.log(err.status)
                }
            })

            //load dato to selectCar
            var gCarselectElement = $("#car-select")

            function loadDatoSelectCar(paramRes) {
                for(i = 0; i < paramRes.length; i++) {
                    let bOptionCar = $("<option>", {
                    value: paramRes[i].carCode,
                    text: paramRes[i].carName
                }).appendTo(gCarselectElement);
                }
            }

            //callback function
            var gCartypeSelectElement = $("#cartype-select")
            gCarselectElement.on("change", function() {
                gCartypeSelectElement.html("");
                var bCarCode = $(this).val();

                getCarByCarCode(bCarCode);
            })

            function getCarByCarCode(bCarCode) {
                $.ajax({
                    url: "http://localhost:8080/devcamp-cartypes?carCode=" + bCarCode,
                    type:"GET",
                    success: function(response) {
                        console.log(response)
                        loadDataToSelectCarType(response)
                    },
                    error: function(err) {
                        console.log(err.status)
                    }
                })
            }

            //load data to select cartype
            function loadDataToSelectCarType(paramRes) {
                for(i = 0; i < paramRes.length; i++) {
                    let bOption = $("<option>", {
                        value: paramRes[i].typeCode,
                        text: paramRes[i].typeName,
                    }).appendTo(gCartypeSelectElement);
                }
            }
            

        </script>
    </div>
</body>

</html>